Package: org.codehaus.groovy.transform

## [Java] Class LogASTTransformation

- org.codehaus.groovy.transform.LogASTTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware, TransformWithPriority

      @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class LogASTTransformation
      extends AbstractASTTransformation
      implements CompilationUnitAware, TransformWithPriority

  This class provides an AST Transformation to add a log field to a class.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `LogASTTransformation.AbstractLoggingStrategy` | Base class for logging strategy implementations.
    `static class` | `LogASTTransformation.AbstractLoggingStrategyV2` | Base class for logging strategy implementations supporting the v2 logging API.
    `interface` | `LogASTTransformation.LoggingStrategy` | A LoggingStrategy defines how to wire a new logger instance into an existing class.
    `interface` | `LogASTTransformation.LoggingStrategyV2` | A LoggingStrategy defines how to wire a new logger instance into an existing class.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_ACCESS_MODIFIER` | Default access modifier for logger field.
    `static String` | `DEFAULT_CATEGORY_NAME` | This is just a dummy value used because String annotations values can not be null.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `priority()`
    `` | `public void` | `setCompilationUnit(CompilationUnit compilationUnit)`
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit sourceUnit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternal, deemedInternalName, getAnnotationName, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, markAsInternal, memberHasValue, shouldSkip, shouldSkip, shouldSkip, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Field Detail

    - #### public static final String DEFAULT_ACCESS_MODIFIER

      Default access modifier for logger field.

    - #### public static final String DEFAULT_CATEGORY_NAME

      This is just a dummy value used because String annotations values can not be null. It will be replaced by the fully qualified class name of the annotated class.

  - ### Method Detail

    - #### public int priority()

    - #### public void setCompilationUnit(CompilationUnit compilationUnit)

    - #### public void visit(ASTNode[] nodes, SourceUnit sourceUnit)